Bug 1397319 (CVE-2016-9310) - CVE-2016-9310 ntp: Mode 6 unauthenticated trap information disclosure and DDoS vector
Summary: CVE-2016-9310 ntp: Mode 6 unauthenticated trap information disclosure and DDo...
Status: CLOSED ERRATA
Alias: CVE-2016-9310
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161121,repor...
Keywords: Security
Depends On: 1397351 1411642 1411643 1411644 1411645
Blocks: 1397349
TreeView+ depends on / blocked
 
Reported: 2016-11-22 10:21 UTC by Adam Mariš
Modified: 2019-06-08 21:35 UTC (History)
8 users (show)

(edit)
A flaw was found in the control mode functionality of ntpd. A remote attacker could send a crafted control mode packet which could lead to information disclosure or result in DDoS amplification attacks.
Clone Of:
(edit)
Last Closed: 2017-02-06 06:50:18 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0252 normal SHIPPED_LIVE Moderate: ntp security update 2017-02-06 11:16:56 UTC

Description Adam Mariš 2016-11-22 10:21:09 UTC
An exploitable configuration modification vulnerability exists in the control mode (mode 6) functionality of ntpd. If, against long-standing BCP recommendations, "restrict default noquery ..." is not specified, a specially crafted control mode packet can set ntpd traps, providing information disclosure and DDoS amplification, and unset ntpd traps, disabling legitimate monitoring. A remote, unauthenticated, network attacker can trigger this vulnerability.

External References:

http://support.ntp.org/bin/view/Main/NtpBug3118

Comment 1 Adam Mariš 2016-11-22 11:09:17 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1397351]

Comment 2 Huzaifa S. Sidhpurwala 2016-12-14 08:11:23 UTC
Mitigation:

Use "restrict default noquery ..." in your ntp.conf file.

Comment 4 Keyur Pujara 2017-01-16 11:31:07 UTC
Is an RPM released with fix for this. I haven't seen one @ http://mirror.centos.org. 

If not released, what is ETA for same?

Thanks, Keyur

Comment 7 errata-xmlrpc 2017-02-06 06:17:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:0252 https://rhn.redhat.com/errata/RHSA-2017-0252.html


Note You need to log in before you can comment on or make changes to this bug.